Installer - Feature #28901

Support pulpcore db on remote hosts
01/30/2020 04:30 PM - Samir Jha

Status: Closed
Priority: Normal
Assignee: William Clark
Category: Foreman modules
Target version: 2.0.0
Difficulty: Fixed in Releases: 2.0.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-for
eman_proxy_content/pull/241,
https://github.com/theforeman/puppet-for
eman_proxy_content/pull/244
Description
Installer should be configurable to install pulpcore db on a remote host.
Related issues:
Related to Installer - Feature #30217: Configure Pulpcore database name with ... Closed

Associated revisions

Revision 752adcf0 - 02/10/2020 06:55 PM - William Clark
Fixes #28901 - support external postgresq|l

Revision d4692522 - 02/11/2020 11:50 PM - William Clark
Refs #28901 - add setting postgresql_db_user

Revision 508aca84 - 02/18/2020 05:56 PM - William Clark

Refs #28901 - support external postgres database in pulpcore

Revision f36d351a - 02/20/2020 07:04 PM - William Clark
Refs #28901 - Support SSL connection for external postgresqgl database

Revision 8a6fd459 - 02/21/2020 08:28 PM - William Clark
Fixes #28901 - Support SSL connection for external Pulpcore PostgreSQL database

Revision 7b00793a - 02/28/2020 07:31 PM - Rafael Guerra Cavalcanti
Refs #28901 - Fix settings.py.erb

History

#1 - 02/10/2020 07:01 PM - William Clark

- Status changed from New to Closed

Applied in changeset puppet-pulpcore|752adcf0015c7d6111ee86ce18857¢c3a0d91a464.

#2 - 02/11/2020 10:18 PM - The Foreman Bot
- Assignee set to William Clark

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/241 added

#3 - 02/20/2020 05:03 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/244 added
https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-pulpcore/revisions/752adcf0015c7d6111ee86ce18857c3a0d91a464

#4 - 02/21/2020 08:28 PM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#5 - 03/05/2020 11:42 AM - Ewoud Kohl van Wijngaarden
- Category set to Foreman modules
- Target version set to 2.0.0

- Triaged changed from No to Yes

This should be cherry picked into 2.0.0-rc3

#6 - 03/25/2020 02:58 PM - Ewoud Kohl van Wijngaarden
- Fixed in Releases 2.0.0 added
- Fixed in Releases deleted (2.1.0)

Part of theforeman-pulpcore 0.2.0 which was picked into 2.0

#7 - 08/13/2020 10:20 AM - Ewoud Kohl van Wijngaarden

- Related to Feature #30217: Configure Pulpcore database name with foreman-installer added
